package net.carbon.controller;


import net.carbon.service.CarbonEmissionService;
import net.carbon.utils.JsonData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author jieyuu
 * @since 2024-12-29
 */
@RestController
@RequestMapping("/api/carbon/v1")
public class CarbonEmissionController {

    @Autowired
    private CarbonEmissionService carbonEmissionService;

    /**
     * 及时预警接口
     *
     * @param city
     * @return
     */
    @GetMapping("timelyAlert")
    public JsonData timelyAlert(@RequestBody String city) {
        return JsonData.buildSuccess(carbonEmissionService.timelyAlert(city));
    }

    /**
     * 获取数据
     *
     * @param city
     * @return
     */
    @GetMapping("getCarbonEmissionData")
    public JsonData getCarbonEmissionData(@RequestBody String city) {
        return JsonData.buildSuccess(carbonEmissionService.getCarbonEmissionData(city));
    }


}

