package net.carbon.controller;

//import io.swagger.annotations.ApiParam;

import net.carbon.model.vo.UserVO;
import net.carbon.model.request.UserRegisterRequest;
import net.carbon.model.request.UserLoginRequest;
import net.carbon.service.UserService;
import net.carbon.utils.JsonData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/api/user/v1")
public class UserController {

    @Autowired
    private UserService userService;

    /**
     * 用户注册
     *
     * @param registerRequest
     * @return
     */
    @PostMapping(value = "register")
    public JsonData register(@RequestBody UserRegisterRequest registerRequest) {
        JsonData jsonData = userService.register(registerRequest);

        return jsonData;
    }

    /**
     * 用户登录
     *
     * @param loginRequest
     * @return
     */

//    @ApiOperation("用户登录")
    @PostMapping("login")
    public JsonData userLogin(@RequestBody UserLoginRequest loginRequest) {

        JsonData jsonData = userService.login(loginRequest);
        return jsonData;
    }

    @PostMapping("logout")
    public JsonData logout() {
        // todo jwt退出登录
        return JsonData.buildSuccess("退出成功");
    }

    @GetMapping("userinfo")
    public JsonData getUserInfo() {
        UserVO userinfo = userService.userinfo();
        return JsonData.buildSuccess(userinfo);
    }

}